<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="space_spacethememanage.aspx.cs" Inherits="Discuz.ForumPage.Admin.spacethememanage" %>
<%@ Register TagPrefix="cc1" Namespace="Discuz.Control" Assembly="Discuz.Control" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>主题管理</title>		
	<link href="../styles/datagrid.css" type="text/css" rel="stylesheet">
	<link href="../styles/default.css" type="text/css" rel="stylesheet" />
    <link href="../styles/dntmanager.css" type="text/css" rel="stylesheet">		
	<script language="javascript" src="../js/common.js"></script>
	<script type="text/javascript">
		function validate(form)
		{
		    if(document.getElementById("themeName").value == "")
			{
				    Message("主题分类名称不能为空！");
				    document.getElementById("themeName").focus();
				    return false;
			}
			return true;
		}
		
		function Message(m)
		{
			document.getElementById("success").style.display = 'none';
			document.getElementById("SubmitButton").disabled = false;
			alert(m);
		}
		
		function isNaNEx(str)
		{
			return !(/^\d+$/.test(str));
		}
		
		function checkFileList(form)
		{
			var i = 1;
			while(true)
			{
				if(form.elements["id" + i] == null)
					break;
				form.elements["id" + i].checked = form.cfile.checked;
				i++;
			}
		}
	</script>
  </head>
  <body>
	<form id="Form1" method="post" runat="server" >
    <cc1:datagrid id="themegrid" runat="server" OnCancelCommand="DataGrid_Cancel" OnEditCommand="DataGrid_Edit" OnUpdateCommand="DataGrid_Update" OnDeleteCommand="DataGrid_Delete">
				<Columns>
					<asp:BoundColumn DataField="themeid" HeaderText="Id" Visible="false"></asp:BoundColumn>
					<asp:BoundColumn DataField="name" HeaderText="主题分类名称"></asp:BoundColumn>
					<asp:TemplateColumn HeaderText="操作">
						<ItemTemplate>
							<a href="space_spacethemegrid.aspx?themeid=<%# DataBinder.Eval(Container, "DataItem.themeid").ToString() %>">管理此主题分类</a>
						</ItemTemplate>
					</asp:TemplateColumn>		
				</Columns>
	</cc1:datagrid>
	<div class="ManagerForm">
	<fieldset>
	<legend style="background:url(../images/icons/legendimg.jpg) no-repeat 6px 50%;">新增主题分类</legend>
			<table class="datagridStyles" cellspacing="0" cellpadding="3" rules="rows" border="0" width="100%" id="smilesgrid">
				<tr>
				  <td width="20%">主题分类名称：</td>
				  <td><asp:TextBox id="themeName" runat="server" maxLength="50" /></td>
				</tr>
			  </table>
     </fieldset>
	  <div class="Navbutton"><cc1:Button id="SubmitButton" runat="server" Text=" 提 交 " ValidateForm="true"></cc1:Button></div>
	  </div>
    </form>	
    <%=footer%>
  </body>
</html>
